%define name		gd
%define version		2.0.15
%define prefix		%{_prefix}
%define release		3mdk

%define lib_major	2
%define lib_name_orig	libgd
%define lib_name	%mklibname gd %{lib_major}

Name:			%{name}
Summary:		A library used to create PNG, JPEG, or WBMP images
Version:		%{version}
Release:		%{release}
License:		BSD-style
Source:			http://www.boutell.com/gd/gd-%{version}.tar.bz2
Group:			System/Libraries
URL:			http://www.boutell.com/gd/
#It uses freetype2-devel, but uses the old library for gdttf
BuildRequires:		XFree86-devel
BuildRequires:		freetype-devel
BuildRequires:		freetype2-devel
BuildRequires:		libjpeg-devel
BuildRequires:		libpng-devel
BuildRequires:		libxpm-devel
BuildRequires:		zlib-devel
BuildRoot:		%{_tmppath}/%{name}-%{version}-buildroot

%description
gd is a graphics library. It allows your code to quickly draw
images complete with lines, arcs, text, multiple colors, cut and
paste from other images, and flood fills, and write out the result
as a PNG or JPEG file. This is particularly useful in World Wide
Webapplications, where PNG and JPEG are two of the formats
accepted for inlineimages by most browsers.

gd is not a paint program. If you are looking for a paint program,
you are looking in the wrong place. If you are not a programmer,
you are looking in the wrong place. 

gd does not provide for every possible desirable graphics
operation. It is not necessary or desirable for gd to become a
kitchen-sink graphics package, but version 1.7.3 incorporates most
of the commonly requested features for an 8-bit 2D package.

GIF creation will not reappear in gd until the patent expires
world-wide on July 7th, 2004. I realize this situation is
frustrating for many; please direct your anger and complaints
toward the questionable patent system that allows the patenting
of such straightforward algorithms in the first place.

%package -n		%{lib_name}
Summary:		A library used to create PNG, JPEG, or WBMP images
Group:			System/Libraries
Provides:		%{name} = %{version}-%{release}
Provides:		%{lib_name} = %{version}-%{release}
Obsoletes:		%name

%description -n		%{lib_name}
This package contains the library needed to run programs
dynamically linked with libgd

gd is a graphics library. It allows your code to quickly draw
images complete with lines, arcs, text, multiple colors, cut and
paste from other images, and flood fills, and write out the result
as a PNG or JPEG file. This is particularly useful in World Wide
Webapplications, where PNG and JPEG are two of the formats
accepted for inlineimages by most browsers.

gd is not a paint program. If you are looking for a paint program,
you are looking in the wrong place. 

gd does not provide for every possible desirable graphics
operation. It is not necessary or desirable for gd to become a
kitchen-sink graphics package, but version 1.7.3 incorporates most
of the commonly requested features for an 8-bit 2D package.

GIF creation will not reappear in gd until the patent expires
world-wide on July 7th, 2004. I realize this situation is
frustrating for many; please direct your anger and complaints
toward the questionable patent system that allows the patenting
of such straightforward algorithms in the first place.

%package -n		%{lib_name}-devel
Summary:		The development libraries and header files for gd.
Group:			Development/C
Requires:		%{lib_name} = %{version}
Provides:		%{lib_name_orig}-devel = %{version}-%{release}
Provides:		%{name}-devel = %{version}-%{release}
Obsoletes:		%{name}-devel

%description -n		%{lib_name}-devel
These are the development libraries and header files for gd,
the .png and .jpeg graphics library.

gd is a graphics library. It allows your code to quickly draw
images complete with lines, arcs, text, multiple colors, cut and
paste from other images, and flood fills, and write out the result
as a PNG or JPEG file. This is particularly useful in World Wide
Webapplications, where PNG and JPEG are two of the formats
accepted for inlineimages by most browsers.

gd is not a paint program. If you are looking for a paint program,
you are looking in the wrong place. 

gd does not provide for every possible desirable graphics
operation. It is not necessary or desirable for gd to become a
kitchen-sink graphics package, but version 1.7.3 incorporates most
of the commonly requested features for an 8-bit 2D package.

GIF creation will not reappear in gd until the patent expires
world-wide on July 7th, 2004. I realize this situation is
frustrating for many; please direct your anger and complaints
toward the questionable patent system that allows the patenting
of such straightforward algorithms in the first place.

If you're installing the gd graphics library, you'll probably want
to install gd-devel.

%package -n		%{lib_name}-static-devel
Summary:		Static GD library
Group:			Development/C
Requires:		%{lib_name}-devel = %{version}
Provides:		%{lib_name_orig}-static-devel = %{version}-%{release}
Provides:		%{name}-static-devel = %{version}-%{release}

%description -n		%{lib_name}-static-devel
This package contains static gd library.

%package		utils
Requires:		%{lib_name} = %{version}
Summary:		The Utils files for gd.
Group:			System/Libraries

%description		utils
gd is a graphics library. It allows your code to quickly draw
images complete with lines, arcs, text, multiple colors, cut and
paste from other images, and flood fills, and write out the result
as a PNG or JPEG file. This is particularly useful in World Wide
Webapplications, where PNG and JPEG are two of the formats
accepted for inlineimages by most browsers.

gd is not a paint program. If you are looking for a paint program,
you are looking in the wrong place. 

gd does not provide for every possible desirable graphics
operation. It is not necessary or desirable for gd to become a
kitchen-sink graphics package, but version 1.7.3 incorporates most
of the commonly requested features for an 8-bit 2D package.

GIF creation will not reappear in gd until the patent expires
world-wide on July 7th, 2004. I realize this situation is
frustrating for many; please direct your anger and complaints
toward the questionable patent system that allows the patenting
of such straightforward algorithms in the first place.

%prep
%setup -q -n gd-%{version}

%build
%configure2_5x
%make 

%install
%makeinstall

%clean
rm -rf %{buildroot}

%post -n		%{lib_name} -p /sbin/ldconfig
%postun -n		%{lib_name} -p /sbin/ldconfig

%files -n		%{lib_name}
%defattr(-,root,root)
%doc README.TXT index.html
%{_libdir}/*.so.*

%files -n		%{lib_name}-devel
%defattr(-,root,root)
%{_bindir}/gdlib-config
%{_libdir}/*.so
%{_libdir}/*.la
%{_includedir}/*

%files -n		%{lib_name}-static-devel
%defattr(-,root,root)
%{_libdir}/lib*.a

%files			utils
%defattr(-,root,root)
%{_bindir}/annotate
%{_bindir}/bdftogd
%{_bindir}/gd2copypal
%{_bindir}/gd2topng
%{_bindir}/gdparttopng
%{_bindir}/gdtopng
%{_bindir}/pngtogd
%{_bindir}/pngtogd2
%{_bindir}/webpng

%changelog
* Sat Aug  9 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.0.15-3mdk
- Remove auto-required packages, enforce current practise for libgd-devel

* Wed Jul  9 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.0.15-2mdk
- Rebuild, clean-ups, provides

* Fri Jun 27 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.15-1mdk
- 2.0.15
- use the %%configure2_5x macro
- rework the spec file
- requires or buidrequires t1libs is not needed anymore according
  to Francisco Javier Felix

* Mon May 19 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.12-2mdk
- misc spec file fixes
- added the static devel sub package

* Fri May 16 2003 Stew Benedict <sbenedict@mandrakesoft.com> 2.0.12-1mdk
- 2.0.12

* Mon Feb 03 2003 Franois Pons <fpons@mandrakesoft.com> 2.0.9-3mdk
- fix according David Walser.
- add %%mklibname.
- restored srpm gd, as no more orignial gd exists.

* Mon Jan  6 2003 Stew Benedict <sbenedict@mandrakesoft.com> 2.0.9-2mdk
- call srpm gd2, to preserve orginal gd

* Thu Dec 19 2002 Stew Benedict <sbenedict@mandrakesoft.com> 2.0.9-1mdk
- new version, do binaries need to be in /usr/sbin?

* Thu Nov 28 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.8.4-7mdk
- Patch2: Let it bootstrap without any libgd installed beforehand...

* Thu Jun 27 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.8.4-6mdk
- Patch1: Nuke references to /usr/local dir for include and library
  search paths. Put defines in a separate variable.

* Tue Jun 11 2002 Frederic Lepied <flepied@mandrakesoft.com> 1.8.4-5mdk
- recompiled for libintl2

* Tue Oct 09 2001 Philippe Libat <philippe@mandrakesoft.com> 1.8.4-4mdk
- rebuild against libpng3

* Tue Apr 17 2001 Frederic Lepied <flepied@mandrakesoft.com> 1.8.4-3mdk
- provide libgd1.8

* Tue Apr 17 2001 Frederic Lepied <flepied@mandrakesoft.com> 1.8.4-2mdk
- gd-utils has no need for a name change
- lib major is 1

* Fri Apr 13 2001 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.8.4-1mdk
- This version should fix 90% if the php-gd issues, and the Linuxconf
  segfault. The previous version was broken, it was not linked with
  the required libraries. This means that Chmou got away with a
  non-functional shared patch for two years. JMD sucks for not having
  found out before that.
- Conforms to the new library policy
- This package is only required by Linuxconf and gd, so it should not break
  anything
- Kyle VanderBeek <kylev@yaga.com> added libgd.a static library to -devel

* Sun Nov  5 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.8.3-2mdk
- added Xpm and Xbm support

* Sat Nov  4 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.8.3-1mdk
- 1.8.3
- removed "gif" from descriptions, since it supports PNG since version 1.5
  because of the Unisys GIF patent
- added JPEG support
- added WBMP (intended for wireless devices (not regular web browsers).

* Mon Oct  2 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.8.1-4mdk
- removed build requires on gd-devel.

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.8.1-3mdk
- automatically added BuildRequires

* Fri May 19 2000 Pixel <pixel@mandrakesoft.com> 1.8.1-2mdk
- add soname

* Mon Apr  3 2000 Adam Lebsack <adam@mandrakesoft.com> 1.8.1-1mdk
- Upgrade to 1.8.1

* Thu Oct 21 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Relifting of .spec.
- New shared lib patchs.
- 1.7.
- Add package utils.

* Wed Oct 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- fix typo :-(

* Wed Oct 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- we can't use >1.5 unless we backport the gif support :-(.
- Add %defattr.

* Sun Jul 18 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.de>
- 1.5

* Sat Apr 10 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- Mandrake adaptions
- add de locale

* Thu Dec 17 1998 Cristian Gafton <gafton@redhat.com>
- build for glibc 2.1

* Fri Sep 11 1998 Cristian Gafton <gafton@redhat.com>
- built for 5.2
